> ## Documentation Index
> Fetch the complete documentation index at: https://developer.onecodex.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Panel Results

Return the results of a panel as JSON. The returned JSON has the following top-level structure:

| Property                    | Description                                                                                                               |
| --------------------------- | ------------------------------------------------------------------------------------------------------------------------- |
| **panel\_name** *string*    | The name of the panel, e.g,. "Antibiotic Resistance Determinants" for the ARDM panel.                                     |
| **panel\_results** *object* | An object consisting of 1 or more "sub-panels", which then include the individual results for the markers (format below). |

The `panel_results` object itself contains 1 or more sub-panels which consist of a `description` entry and then a list of `markers`. The markers themselves contain the following fields. Note that currently panels can consist of **short** and/or **long** markers, for which slightly different fields may be reported:

| Property                               | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| -------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **name** *string*                      | The name of the marker sequence.                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| **description** *string*               | A description of the marker.                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| **status** *string*                    | Whether the marker sequence is 'present', 'probable', or 'absent'. This determination is based on the below fields, but cutoff values may differ between panels. The *default* thresholds are as following: (1) for long markers identity and coverage `>= 99%` for "present" and `>= 95%` for "probable"; (2) for short markers the presence of an exact match is required for a "present" call and a partial match (`<= 3` SNPs) is required for a "probable" call. |
| **length** *integer*                   | The length of the marker sequence.                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| **identity** *number*                  | The percent identity of the detected marker sequence in the sample. Provided only for "long" marker sequences (e.g., genes).                                                                                                                                                                                                                                                                                                                                          |
| **coverage** *number*                  | The coverage of the detected marker sequence in the sample. Provided only for "long" marker sequences (e.g., genes).                                                                                                                                                                                                                                                                                                                                                  |
| **depth** *number*                     | The depth of coverage for the detected marker sequence in the sample. Provided only for "long" marker sequences (e.g., genes).                                                                                                                                                                                                                                                                                                                                        |
| **n\_reads\_exact\_match** *integer*   | The number of reads including an exact match to the marker sequence. Provided only for "short" marker sequences (e.g., `<= ~50 bp`).                                                                                                                                                                                                                                                                                                                                  |
| **n\_reads\_partial\_match** *integer* | The number of reads including an partial match to the marker sequence. By default, a partial match is defined as being within 3 SNPs of the exact sequence. Provided only for "short" marker sequences (e.g.,` <= ~50 bp`).                                                                                                                                                                                                                                           |

<Warning>
  **Warning**: The above JSON format is not guaranteed to remain stable, though we do not expect to substantively alter the meaning of any fields. Please use caution and include fallbacks when writing non-exploratory code using the above route. Please also feel free to [reach out](mailto:support@onecodex.com) if you'd like to discuss this format and any forthcoming changes with us.
</Warning>


## OpenAPI

````yaml GET /api/v1/panels/{id}/results
openapi: 3.0.0
info:
  title: One Codex API (v1)
  description: >-
    The One Codex API (v1) -- programmatic access to One Codex's suite of
    microbial genomics data storage, analysis, and query tools.
  version: v1
servers:
  - url: https://app.onecodex.com
security:
  - apiKeyAuth: []
paths:
  /api/v1/panels/{id}/results:
    get:
      summary: GET panels results
      operationId: get_panels_results
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                type: object
                properties:
                  panel_name:
                    type: string
                  panel_results:
                    type: string
                    nullable: true
                    description: 'Can be one of: string, number, boolean, object, array'
                    items:
                      type: object
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````